Page MenuHomePhabricator

Use backend parser for commons
Closed, ResolvedPublic

Description

Use the backend parser for commons and get rid of frontend parser.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=frontend p=0

Details

Reference
bz62193

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:55 AM
bzimport set Reference to bz62193.
bzimport added a subscriber: Unknown Object (MLST).

As far as I know there is no frontend parser.

Indeed, there is no front-end parser for commons media type. Currently, commons media type values fall back to the string parser. Due to that, the value is kind of always valid (save button enabled). Errors will not be visible before trying to save the value which involves parsing the value in the back-end.

Change 169672 had a related patch set uploaded by Tobias Gritschacher:
Use back-end parser for "commons" and "url"

https://gerrit.wikimedia.org/r/169672

Change 169672 merged by jenkins-bot:
Use back-end parser for "commons" and "url"

https://gerrit.wikimedia.org/r/169672

Patch had to be reverted.

Fix caused bug 73582.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:34 PM

Change 260858 had a related patch set uploaded (by Hoo man):
Revert "Revert "Use back-end parser for "commons" and "url"""

https://gerrit.wikimedia.org/r/260858

Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptDec 23 2015, 9:12 PM
hoo claimed this task.Dec 23 2015, 9:14 PM

Change 260858 merged by jenkins-bot:
Revert "Revert "Use back-end parser for "commons" and "url"""

https://gerrit.wikimedia.org/r/260858

hoo closed this task as Resolved.Jan 5 2016, 5:06 AM
hoo removed a project: Patch-For-Review.
hoo set Security to None.